Summary:    Tool for generating C, C++, and go recognizers from regular expressions
Name:       re2c
Version:    3.1
Release:    1%{?dist}
License:    Public Domain
URL:        https://re2c.org/
Source0:    https://github.com/skvadrik/re2c/releases/download/%{version}/re2c-%{version}.tar.xz

BuildRequires: make gcc gcc-c++ python3


%description
re2c is a free and open-source lexer generator for C/C++, Go and Rust
with a focus on generating fast code. It compiles regular expression
specifications to deterministic finite automata and encodes them in
the form of conditional jumps in the target language. This approach
is generally faster than table-based lexers, and the generated code
is easier to debug and understand.


%prep
%autosetup


%build
%configure --disable-silent-rules
%make_build


%install
%make_install


%check
%make_build tests


%files
%license LICENSE
%doc CHANGELOG README.md examples/ doc/*
%{_bindir}/re2c
%{_bindir}/re2go
%{_bindir}/re2rust
%{_datadir}/re2c/
%{_mandir}/man1/re2c.1*
%{_mandir}/man1/re2go.1*
%{_mandir}/man1/re2rust.1*


%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 3.1-1
- Upgrade to version 3.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Miaojun Dong <zoedong@tencent.com> - 2.2-1
- initial build
